de.esprit.netsuite.server.config

## Class ServerCommandLineParser

- java.lang.Object
- - de.esprit.common.clp.CommandLineParser
  - - de.esprit.appsuite.launch.ApplicationCommandLineParser
    - - de.esprit.netsuite.server.config.ServerCommandLineParser

-     public class ServerCommandLineParser
      extends ApplicationCommandLineParser

  This is the command line parser for the server main class. It provides the `ServerConfig` instance as result.
  Author:
    Rainer Buesch

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected AbstractBooleanOption` | `optShutdown`
    `protected OptionServerWorkspaceDir` | `optWorkspaceDir`

    - ### Fields inherited from class de.esprit.appsuite.launch.ApplicationCommandLineParser

      `optApplicationName`

    - ### Fields inherited from class de.esprit.common.clp.CommandLineParser

      `espritVersion, optDebug, optDemo, optHelp, optLocale, optLogDir, optLogToFile, optNoConsole, optTest, optVerbose, optVersion`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServerCommandLineParser(java.lang.Class mainClass, java.lang.String... args)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected ServerConfig` | `createConfig()` May be overridden to return a specific `ApplicationConfig` derivation which contains all data extracted from the command line.
    `java.io.File` | `getWorkspaceDir()`
    `boolean` | `isShutdown()`
    `void` | `setWorkspaceEnvVariableName(java.lang.String envVarName)` Defines the env-variable which is used to configure the workspace directory

    - ### Methods inherited from class de.esprit.appsuite.launch.ApplicationCommandLineParser

      `getApplicationName, getConfig, isPrintVersionOnly, setDefaultApplicationName`

    - ### Methods inherited from class de.esprit.common.clp.CommandLineParser

      `addOption, addOption, addSoftwareVersion, checkDependencies, createHelpText, createHelpText, createOptionList, createSyntaxLine, ensureParsed, fetchDefinedOptionFor, findDefinedOptionFor, getArgument, getArgumentCount, getArguments, getCustomVersion, getEspritVersion, getLogDir, getMainClass, getSoftwareVersions, getStartLogLevel, handleParsingError, hasArguments, isDebug, isDemoMode, isExitAfterParsing, isLogToFile, isNoConsoleLog, isParsed, isTestMode, isVerbose, parse, removeOption, removeOption`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### optWorkspaceDir

          protected final OptionServerWorkspaceDir optWorkspaceDir

    - #### optShutdown

          protected final AbstractBooleanOption optShutdown

  - ### Constructor Detail

    - #### ServerCommandLineParser

          public ServerCommandLineParser(java.lang.Class mainClass,
                                 java.lang.String... args)

  - ### Method Detail

    - #### setWorkspaceEnvVariableName

          public void setWorkspaceEnvVariableName(java.lang.String envVarName)

      Defines the env-variable which is used to configure the workspace directory

    - #### createConfig

          protected ServerConfig createConfig()
                                       throws java.lang.Exception

      Description copied from class: `ApplicationCommandLineParser`
      May be overridden to return a specific `ApplicationConfig` derivation which contains all data extracted from the command line.
      Overrides:
        `createConfig` in class `ApplicationCommandLineParser`
      Throws:
        `java.lang.Exception`

    - #### getWorkspaceDir

          public java.io.File getWorkspaceDir()

    - #### isShutdown

          public boolean isShutdown()

Copyright © 2014 EsprIT-Systems. All Rights Reserved.